此内容没有您所选择的语言版本。
13.2.6. Start Cartridge
Description
Start an application's embedded cartridge that is not running.
Method and URL Structure
| Method | Resource URL |
|---|---|
POST | /broker/rest/application/:id/cartridge/:name/events |
Request Parameters
| Name | Description | Required | Default |
|---|---|---|---|
event | Event | Yes |
See Section A.7, “Cartridges” for more information about the valid options applicable to these request parameters.
Request
{
"event": "start"
}
cURL Command Example
$ curl -X POST https://openshift.redhat.com/broker/rest/application/534253991015616165707776/cartridge/mysql-5.5/events --user user@example.com --data-urlencode event=start
JSON Response
The API returns the application resource. Unnecessary information and related resource links returned by the API have been removed for brevity. See Chapter 11, Applications for more information on all application parameters.
{
"api_version": 1.6,
"data": {
"aliases": [
],
"app_url": "http://myapp-mydomain.rhcloud.com/",
"build_job_url": null,
"building_app": null,
"building_with": null,
"creation_time": "2013-08-21T01:58:41Z",
"domain_id": "mydomain",
"embedded": {
"haproxy-1.4": {
},
"mysql-5.5": {
"connection_url": "mysql://$OPENSHIFT_MYSQL_DB_HOST:$OPENSHIFT_MYSQL_DB_PORT/",
"username": "adminthGnHLU",
"password": "dPFjWLrUjfxC",
"database_name": "myapp",
"info": "Connection URL: mysql://$OPENSHIFT_MYSQL_DB_HOST:$OPENSHIFT_MYSQL_DB_PORT/"
}
},
"framework": "ruby-2.0",
"gear_count": 1,
"gear_profile": "small",
"git_url": "ssh://534253991015616165707776@myapp-mydomain.rhcloud.com/~/git/myapp.git/",
"health_check_path": "health",
"id": "534253991015616165707776",
"initial_git_url": null,
"members": [
{
"explicit_role": null,
"from": [
{
"type": "domain",
"role": "admin"
}
],
"id": "5213a826e499b22f15000001",
"name": "user@example.com",
"owner": true,
"role": "admin",
"type": "user"
}
],
"name": "myapp",
"scalable": true,
"ssh_url": "ssh://534253991015616165707776@myapp-mydomain.rhcloud.com"
},
"messages": [
{
"exit_code": 0,
"field": null,
"severity": "info",
"text": "Added start on mysql-5.5 for application myapp"
}
],
"status": "ok",
"supported_api_versions": [
1.0,
1.1,
1.2,
1.3,
1.4,
1.5,
1.6
],
"type": "application",
"version": "1.6"
}